Think of groups as departments. Groups enable you to split your user base into smaller pieces that can be more easily managed. For more info, see Groups.
Resource URL
Before calling this API, consider using its version /1 equivalent.
https://api.onelogin.com/api/v1/groups/:idParameters
id required string | Set to the group's ID with .xml appended. For example, 123456.xml. If you don't know the group's id, use the Get all groups API call to return all groups and their id values. |
Sample Response
- 200 OK
- 404 Not Found
<group>
<id>412878</id>
<name>Engineering</name>
<reference nil="true"></reference>
</group><error>
<title>No such group</title>
<message>No Group found by Reference or ID '2878'</message>
</error>Response Elements
| Group's unique ID in OneLogin. |
| Group name. |
| Deprecated. Will always show the attribute |
Sample cURL Request
Be sure to replace placeholder values surrounded by { } with actual values.
curl -u {api_key}:x -X GET https://api.onelogin.com/api/v1/groups/{group_id}.xmlPostman Collection
Have a Question?
Found a problem or a bug? Submit a support ticket.
Looking for walkthroughs or how-to guides? Check out our Knowledge Base.
Have a product idea or request? Share it in our Ideas Portal.